v.buffer(1)

NAME
v.buffer - Create a buffer around features of given type (areas must contain centroid).

SYNOPSIS
v.buffer
v.buffer help
v.buffer input=string output=string [type=string[,string,...]] [layer=integer] buffer=float [tolerance=float] [debug=string]

  Parameters:

input=string
    Name of input vector

output=string
    Name of output vector

type=string[,string,...]
    Type Options: point,line,boundary,centroid,area Default: point,line,area

layer=integer
    Layer number Default: 1

buffer=float
    Buffer distance in map units

tolerance=float
    Maximum distance between theoretical arc and polygon segmentsas multiple of buffer. Default: 0.01

debug=string
    Stop the process in certain stage. Options: buffer,clean

DESCRIPTION
v.buffer creates a buffer around features of given type with category of given field.

EXAMPLES

  Buffer around input lines
v.buffer input=map output=buffer type=line buffer=100

  Circles around input points
v.buffer input=pointsmap output=circles type=point buffer=1000
Note that attributes are not transferred (due to potential buffer overlap which cannot be resolved automatically).

  Non-overlapping circles around input points with attribute transfer
v.buffer input=archsites output=circles type=point buffer=200
# change original points to centroids:
v.type in=archsites out=archcentroids type=point,centroid
# patch circles and centroids:
v.patch in=archcentroids,circles out=circles_db
# attach attributes, either use
# db.copy ...
# or link to the original table:
v.db.connect map=circles_db table=archsites field=1 key=cat driver=dbf database='$GISDBASE/$LOCATION_NAME/$MAPSET/dbf'

BUGS
For some data v.buffer can produce strange results, especially if the buffer size is bigger than input features. Usually you can solve the problem if you run v.buffer more times with smaller buffer.

SEE ALSO
v.type, v.patch, v.db.connect

AUTHOR
Radim Blazek

Last changed: $Date: 2005/01/10 18:20:14 $

Help Index